Get the job handle

- « GearmanJob::functionName

- GearmanJob::returnCode »

- PHP Manual
- GearmanJob
- Get the job handle

# GearmanJob::handle

(PECL gearman >= 0.5.0)

GearmanJob::handle — Get the job handle

### Description

public GearmanJob::handle(): false|string

Returns the opaque job handle assigned by the job server.

### Parameters

This function has no parameters.

### Return Values

An opaque job handle, or `false` if the job has not yet been initialized.

### See Also

- GearmanTask::jobHandle() - Get the job handle